_Node Struct Reference

`#include <regparse.h>`

## Data Fields

union {
NodeBase base
StrNode str
CClassNode cclass
QtfrNode qtfr
EncloseNode enclose
BRefNode bref
AnchorNode anchor
ConsAltNode cons
CtypeNode ctype
CallNode call
} | u

## Detailed Description

Definition at line 257 of file regparse.h.

## Field Documentation

AnchorNode _Node::anchor

Definition at line 265 of file regparse.h.

NodeBase _Node::base

Definition at line 259 of file regparse.h.

BRefNode _Node::bref

Definition at line 264 of file regparse.h.

CallNode _Node::call

Definition at line 269 of file regparse.h.

CClassNode _Node::cclass

Definition at line 261 of file regparse.h.

ConsAltNode _Node::cons

Definition at line 266 of file regparse.h.

CtypeNode _Node::ctype

Definition at line 267 of file regparse.h.

EncloseNode _Node::enclose

Definition at line 263 of file regparse.h.

QtfrNode _Node::qtfr

Definition at line 262 of file regparse.h.

StrNode _Node::str

Definition at line 260 of file regparse.h.

union { ... } _Node::u

The documentation for this struct was generated from the following file:

- regparse.h